# File text.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/text.hpp`)

- Program Listing for File text.hpp

## Detailed Description

Various text manipulating routines

## Includes

- `charconv`

- `cif++/exports.hpp` (File exports.hpp)

- `cstddef`

- `cstdint`

- `iterator` (File iterator.hpp)

- `set`

- `sstream`

- `string`

- `string_view`

- `tuple`

- `type_traits`

- `utility`

- `vector`

## Included By

- File category.hpp

- File cif++.hpp

- File condition.hpp

- File item.hpp

- File parser.hpp

- File validate.hpp

## Namespaces

- Namespace cif

## Classes

- Struct iless

## Functions

- Function cif::cif_id_for_number

- Function cif::contains

- Function cif::ends_with

- Function cif::icompare(const char *, const char *)

- Function cif::icompare(std::string_view, std::string_view)

- Function cif::icontains

- Function cif::iequals(std::string_view, std::string_view)

- Function cif::iequals(const char *, const char *)

- Template Function cif::join(IterType, IterType, std::string_view)

- Template Function cif::join(const V&, std::string_view)

- Function cif::replace_all

- Template Function cif::split

- Function cif::split_item_name

- Function cif::split_tag_name

- Function cif::starts_with

- Function cif::to_lower

- Function cif::to_lower_copy

- Function cif::to_upper

- Function cif::tolower

- Function cif::trim

- Function cif::trim_copy

- Function cif::trim_left

- Function cif::trim_left_copy

- Function cif::trim_right

- Function cif::trim_right_copy

- Function cif::word_wrap

## Typedefs

- Typedef cif::iset

## Variables

- Variable cif::kCharToLowerMap